# Contribute to gophish

Thank you for your interest in contributing to gophish! It is our goal to make the best simulated phishing framework possible, and we are excited you want to help out.

This guide details how to contribute to gophish in a way that is efficient for everyone involved.

Gophish currently only comes in one flavor, gophish Community Edition (CE), which is our free and open source edition. In the future, we reserve the right to create an Enterprise Edition, though we're currently pouring our effort into create a rock-solid open source platform. This document will be updated if an EE edition is created.

## Contributor license agreement

By submitting code as an individual you agree to the
[individual contributor license agreement](doc/individual_contributor_license_agreement.md).
By submitting code as an entity you agree to the
[corporate contributor license agreement](doc/corporate_contributor_license_agreement.md).

## Security vulnerability disclosure

Please report suspected security vulnerabilities in private to
`security@getgophish.com`.
Please do **NOT** create publicly viewable issues for suspected security
vulnerabilities.

## Closing policy for issues and merge requests

It is our goal that gophish will become a popular tool for the infosec community. If this were to happen, we may begin receiving more issues and merge requests than we can keep up with.

Out of respect for our volunteers, issues and merge requests not in line with the guidelines listed in this document may be closed without notice. It will always be our goal to try and provide at least a reason why the issue is closed as much as possible.

Please treat our volunteers with courtesy and respect, it will go a long way
towards getting your issue resolved.

Issues and merge requests should be in English and contain appropriate language
for audiences of all ages.

## I want to contribute!

**Awesome!** We're excited to have your help. If you want to contribute to gophish, but are not sure where to start,
look for [issues with the label `contributor-friendly`][contributor-friendly]. These issues
will be of reasonable size and challenge, as well as not requiring a ton of internal plumbing on the gophish source code.

## Have Questions?
If you ever have questions, please don't hesitate to reach out to us directly at `support@getgophish.com`

[contributor-friendly]: https://github.com/gophish/gophish/labels/contributor-friendly
